Skip to main content
POST
/
v2
/
status_page_maintenances
Create
curl --request POST \
  --url https://api.incident.io/v2/status_page_maintenances \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "affected_component_ids": [
    "01FCNDV6P870EA6S7TK1DSYDG2"
  ],
  "end_at": "2025-01-28T12:00:00Z",
  "idempotency_key": "maintenance-12345-abcde",
  "maintenance_status": "maintenance_scheduled",
  "message": "Planned maintenance has been scheduled to upgrade our infrastructure. We expect minimal disruption, but some features may be briefly unavailable.",
  "name": "Routine infrastructure upgrade",
  "notify_subscribers": true,
  "start_at": "2025-01-28T10:00:00Z",
  "status_page_id": "01FCNDV6P870EA6S7TK1DSYDG0"
}
'
import requests

url = "https://api.incident.io/v2/status_page_maintenances"

payload = {
"affected_component_ids": ["01FCNDV6P870EA6S7TK1DSYDG2"],
"end_at": "2025-01-28T12:00:00Z",
"idempotency_key": "maintenance-12345-abcde",
"maintenance_status": "maintenance_scheduled",
"message": "Planned maintenance has been scheduled to upgrade our infrastructure. We expect minimal disruption, but some features may be briefly unavailable.",
"name": "Routine infrastructure upgrade",
"notify_subscribers": True,
"start_at": "2025-01-28T10:00:00Z",
"status_page_id": "01FCNDV6P870EA6S7TK1DSYDG0"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
affected_component_ids: ['01FCNDV6P870EA6S7TK1DSYDG2'],
end_at: '2025-01-28T12:00:00Z',
idempotency_key: 'maintenance-12345-abcde',
maintenance_status: 'maintenance_scheduled',
message: 'Planned maintenance has been scheduled to upgrade our infrastructure. We expect minimal disruption, but some features may be briefly unavailable.',
name: 'Routine infrastructure upgrade',
notify_subscribers: true,
start_at: '2025-01-28T10:00:00Z',
status_page_id: '01FCNDV6P870EA6S7TK1DSYDG0'
})
};

fetch('https://api.incident.io/v2/status_page_maintenances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status_page_maintenance": {
    "component_maintenance_periods": [
      {
        "component_id": "01GW7P4ES31Q6V1ZQH321T0GJN",
        "end_at": "2021-08-17T13:28:57.801578Z",
        "start_at": "2021-08-17T13:28:57.801578Z"
      }
    ],
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "maintenance_status": "maintenance_scheduled",
    "name": "Routine infrastructure upgrade",
    "published_at": "2021-08-17T13:28:57.801578Z",
    "status_page_id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "updates": [
      {
        "component_statuses": [
          {
            "component_id": "01FCNDV6P870EA6S7TK1DSYDG2",
            "component_status": "operational"
          }
        ],
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "maintenance_status": "maintenance_scheduled",
        "message": "abc123",
        "published_at": "2021-08-17T13:28:57.801578Z",
        "status_page_maintenance_id": "01FCNDV6P870EA6S7TK1DSYDG1"
      }
    ]
  }
}
🔑 Requires the status_pages.publish_updates scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Body

application/json
affected_component_ids
string[]
required

An array of IDs of component affected by the maintenance window

Example:
["01FCNDV6P870EA6S7TK1DSYDG2"]
end_at
string<date-time>
required

The time the maintenance window ends

Example:

"2025-01-28T12:00:00Z"

idempotency_key
string
required

A unique key to de-duplicate requests. If you send a request with an idempotency_key that was already used, the original response will be returned.

Example:

"maintenance-12345-abcde"

maintenance_status
enum<string>
required

Current status for this status page maintenance window

Available options:
maintenance_scheduled,
maintenance_in_progress,
maintenance_complete
Example:

"maintenance_scheduled"

message
string
required

Markdown initial update on this status page maintenance window

Maximum string length: 4096
Example:

"Planned maintenance has been scheduled to upgrade our infrastructure. We expect minimal disruption, but some features may be briefly unavailable."

name
string
required

A title for the maintenance window

Maximum string length: 200
Example:

"Routine infrastructure upgrade"

notify_subscribers
boolean
required

Whether to notify subscribers about this status page maintenance. This will not work if your status page has more than 1000 subscribers.

Example:

true

start_at
string<date-time>
required

The time the maintenance window starts

Example:

"2025-01-28T10:00:00Z"

status_page_id
string
required

ID of the status page. You can find this by calling the ListStatusPages endpoint.

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Response

201 - application/json

Created response.

status_page_maintenance
object